classification
Title: iso-8859-11 missing from codecs table
Type: enhancement Stage: resolved
Components: Documentation, Unicode Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ezio.melotti, python-dev, tyagi221295, vstinner
Priority: normal Keywords: easy, patch

Created on 2015-08-19 06:10 by ezio.melotti, last changed 2015-09-24 07:23 by tyagi221295. This issue is now closed.

Files
File name Uploaded Description Edit
Issue24894.patch tyagi221295, 2015-09-20 18:35 review
issue_24894.patch tyagi221295, 2015-09-23 22:29 revised patch of the above review
Messages (9)
msg248819 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-08-19 06:10
In https://docs.python.org/3/library/codecs.html#standard-encodings
iso8859_11 appears to be missing.  'thai' seems a valid alias for this encoding, but there might be others.
cp874 also covers the thai alphabet, but it's a different encoding.

Note that iso8859_12 is also missing, but that is expected.

See also https://en.wikipedia.org/wiki/ISO/IEC_8859#The_Parts_of_ISO.2FIEC_8859
msg251171 - (view) Author: Prashant Tyagi (tyagi221295) * Date: 2015-09-20 17:32
As it is cleary stated itself into the wipikedia https://en.wikipedia.org/wiki/ISO/IEC_8859#The_Parts_of_ISO.2FIEC_8859.

"The work in making a part of 8859 for Devanagari was officially abandoned in 1997. ISCII and Unicode/ISO/IEC 10646 cover Devanagari."
so actually i dont think it should be a part of 8859_12.
 However 8859_11 is virtually identical to TIS 620 so it might be needed.
msg251173 - (view) Author: Prashant Tyagi (tyagi221295) * Date: 2015-09-20 18:35
Here is my patch which includes iso8859_11 to the docs.
msg251465 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-09-23 22:10
Issue24894.patch is wrong: latin is an alias to ISO 8859-1, not to ISO 8859-11.

>>> codecs.lookup('latin').name
'iso8859-1'

iso8859_11 has 3 aliases: thai, iso_8859_11, iso_8859_11_2001. You can mention iso-8859-11 and thai in the doc.
msg251467 - (view) Author: Prashant Tyagi (tyagi221295) * Date: 2015-09-23 22:29
That was mistake in previous patch,so here is new patch for the same.
msg251490 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-24 07:05
New changeset aa9e0dcbbcc2 by Victor Stinner in branch '3.4':
Issue #24894: Document the codec iso8859_11
https://hg.python.org/cpython/rev/aa9e0dcbbcc2

New changeset 84a918335fe5 by Victor Stinner in branch '3.5':
Merge 3.4 (codecs, issue #24894)
https://hg.python.org/cpython/rev/84a918335fe5

New changeset 97842831c635 by Victor Stinner in branch 'default':
Merge 3.5 (codecs, issue #24894)
https://hg.python.org/cpython/rev/97842831c635

New changeset ad560409c7d6 by Victor Stinner in branch '2.7':
Issue #24894: Document the codec iso8859_11
https://hg.python.org/cpython/rev/ad560409c7d6
msg251491 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-09-24 07:07
> That was mistake in previous patch,so here is new patch for the same.

Don't be sorry, that's why we have reviews :-)


+| iso8859_11      | iso-8856-11, iso-8859-11-2001, | Thai languages                 |
+|                 | thai                           |                                |

I checked other ISO 8859 codecs: they also have an alias with the year, but it's not documented. So I prefer to not document iso-8859-11-2001 neither.

There was a typo in "iso-8856-11": it's 8859. I fixed it and pushed your change.

Thanks for your first contribution Prashant ;-)
msg251494 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-09-24 07:11
Thanks Prashant for the patch and Victor for taking care of it!
msg251495 - (view) Author: Prashant Tyagi (tyagi221295) * Date: 2015-09-24 07:23
Typo error is very silly,because i am new to this developement of python
foundation .next time i will try my best.

On Thu, Sep 24, 2015 at 12:37 PM, STINNER Victor <report@bugs.python.org>
wrote:

>
> STINNER Victor added the comment:
>
> > That was mistake in previous patch,so here is new patch for the same.
>
> Don't be sorry, that's why we have reviews :-)
>
>
> +| iso8859_11      | iso-8856-11, iso-8859-11-2001, | Thai languages
>            |
> +|                 | thai                           |
>           |
>
> I checked other ISO 8859 codecs: they also have an alias with the year,
> but it's not documented. So I prefer to not document iso-8859-11-2001
> neither.
>
> There was a typo in "iso-8856-11": it's 8859. I fixed it and pushed your
> change.
>
> Thanks for your first contribution Prashant ;-)
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue24894>
> _______________________________________
>
History
Date User Action Args
2015-09-24 07:23:20tyagi221295setmessages: + msg251495
2015-09-24 07:11:44ezio.melottisetstatus: open -> closed
versions: + Python 2.7, Python 3.4
messages: + msg251494

resolution: fixed
stage: needs patch -> resolved
2015-09-24 07:07:42vstinnersetmessages: + msg251491
2015-09-24 07:05:39python-devsetnosy: + python-dev
messages: + msg251490
2015-09-23 22:29:49tyagi221295setfiles: + issue_24894.patch

messages: + msg251467
2015-09-23 22:10:35vstinnersetmessages: + msg251465
2015-09-20 18:35:49tyagi221295setfiles: + Issue24894.patch
keywords: + patch
messages: + msg251173
2015-09-20 17:32:40tyagi221295setnosy: + tyagi221295

messages: + msg251171
versions: - Python 2.7, Python 3.3, Python 3.4, Python 3.6
2015-08-19 06:10:24ezio.melotticreate